Manage GL account records.
Operations
getGlAccountSelectFields
Retrieves a general ledger account with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/generalledger/getGlAccountSelectFieldsPOST /nexum/627/persistent/generalledger/getGlAccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "0000000000",
"GlAccountSuffix": "0",
"GlAccountBranch": "0",
"SelectableFields": {
"IncludeAllGlAccountFields": true
}
}getGlAccountSelectFieldsFilterChildren
Retrieves a general ledger account with selected fields and filtered children.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/generalledger/getGlAccountSelectFieldsFilterChildrenPOST /nexum/627/persistent/generalledger/getGlAccountSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"SelectableFields": {
"IncludeAllGlAccountFields": true,
"GlAccountFields": {
"BalNextGlMonth": true,
"Balance": true,
"BalanceLastYear": true,
"BalanceNextPeriod": true,
"BalanceSheetColumn": true,
"BalanceYtd": true,
"BlankLineCode": true,
"Branch": true,
"Budget": [
0
],
"CommentCode": true,
"DcRestrictionLevel": true,
"DistributionCode": true,
"FmLastPurgeDate": true,
"FmLevel": true,
"FormatType": true,
"HistoricalBalance": [
0
],
"IndentationCode": true,
"IqLevel": true,
"LastFmDate": true,
"LastPurgeDate": true
},
"GlAccountFmHistorySelectableFields": {
"IncludeAllGlAccountFmHistoryFields": true,
"GlAccountFmHistoryFields": {
"AccountNumber": true,
"BatchSequence": true,
"Branch": true,
"ConfirmationSeq": true,
"ConsoleNumber": true,
"DataType": true,
"FieldName": true,
"FieldNumber": true,
"FmType": true,
"Id": true,
"IdType": true,
"LastFmDate": true,
"NewCharacter": true,
"NewDate": true,
"NewMoney": true,
"NewNumber": true,
"NewRate": true,
"OldCharacter": true,
"OldDate": true,
"OldMoney": true
}
},
"GlAccountTrackingSelectableFields": {
"IncludeAllGlAccountTrackingFields": true,
"GlAccountTrackingFields": {
"CreationDate": true,
"CreationTime": true,
"ExpireDate": true,
"FmLastDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"TrackingCode": true,
"Type": true,
"UserAmount1": true,
"UserAmount10": true,
"UserAmount11": true,
"UserAmount12": true,
"UserAmount13": true,
"UserAmount14": true,
"UserAmount15": true,
"UserAmount16": true,
"UserAmount17": true,
"UserAmount18": true
}
},
"GlHistorySelectableFields": {
"IncludeAllGlHistoryFields": true,
"GlHistoryFields": {
"Amount": true,
"Comment": true,
"DebitCreditCode": true,
"EffectiveDate": true,
"GlAccountNumber": true,
"GlCategory": true,
"PostDate": true,
"ProcessorUser": true,
"Reference": true,
"SequenceNumber": true,
"UserNumber": true
}
},
"GlSubaccountSelectableFields": {
"IncludeAllGlSubaccountFields": true,
"GlSubaccountFields": {
"AccrualAmount": true,
"AccrualEffectDate": true,
"AccrualPostDate": true,
"AccrualPostThruDate": true,
"AccrualStartDate": true,
"AccruedAmount": true,
"AccruedCount": true,
"AcquisitionDate": true,
"CommentOne": true,
"CommentTwo": true,
"CurrentValue": true,
"Disposition": true,
"FirstMonthMethod": true,
"GlOffset": true,
"Id": true,
"InsMaturityDate": true,
"InsTypeDescription": true,
"InsuranceType": true,
"LastFmDate": true,
"LimitValue": true
}
}
},
"ChildrenSearchFilter": {
"GlAccountFmHistoryFilter": {
"StartPostDate": "string",
"EndPostDate": "string",
"Query": "string"
},
"GlAccountTrackingFilter": {
"Query": "string"
},
"GlHistoryFilter": {
"Query": "string"
},
"GlSubaccountFilter": {
"Query": "string"
}
},
"nxAttributes": {
"customFields": {}
}
}getGlAccountFmHistoryPagedListSelectFields
Retrieves a paged list of general ledger accounts with selected fields from history.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/generalledger/getGlAccountFmHistoryPagedListSelectFieldsPOST /nexum/627/persistent/generalledger/getGlAccountFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllGlAccountFmHistoryFields": true,
"GlAccountFmHistoryFields": {
"AccountNumber": true,
"BatchSequence": true,
"Branch": true,
"ConfirmationSeq": true,
"ConsoleNumber": true,
"DataType": true,
"FieldName": true,
"FieldNumber": true,
"FmType": true,
"Id": true,
"IdType": true,
"LastFmDate": true,
"NewCharacter": true,
"NewDate": true,
"NewMoney": true,
"NewNumber": true,
"NewRate": true,
"OldCharacter": true,
"OldDate": true,
"OldMoney": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchGlAccountFmHistoryPagedSelectFields
Searches general ledger accounts from history with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/generalledger/searchGlAccountFmHistoryPagedSelectFieldsPOST /nexum/627/persistent/generalledger/searchGlAccountFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllGlAccountFmHistoryFields": true,
"GlAccountFmHistoryFields": {
"AccountNumber": true,
"BatchSequence": true,
"Branch": true,
"ConfirmationSeq": true,
"ConsoleNumber": true,
"DataType": true,
"FieldName": true,
"FieldNumber": true,
"FmType": true,
"Id": true,
"IdType": true,
"LastFmDate": true,
"NewCharacter": true,
"NewDate": true,
"NewMoney": true,
"NewNumber": true,
"NewRate": true,
"OldCharacter": true,
"OldDate": true,
"OldMoney": true
}
},
"SearchFilter": {
"StartPostDate": "string",
"EndPostDate": "string",
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getGlAccountTrackingSelectFields
Retrieves tracking for a general ledger account with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalGlAccountTrackingLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/generalledger/getGlAccountTrackingSelectFieldsPOST /nexum/627/persistent/generalledger/getGlAccountTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"GlAccountTrackingLocator": 0,
"SelectableFields": {
"IncludeAllGlAccountTrackingFields": true,
"GlAccountTrackingFields": {
"CreationDate": true,
"CreationTime": true,
"ExpireDate": true,
"FmLastDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"TrackingCode": true,
"Type": true,
"UserAmount1": true,
"UserAmount10": true,
"UserAmount11": true,
"UserAmount12": true,
"UserAmount13": true,
"UserAmount14": true,
"UserAmount15": true,
"UserAmount16": true,
"UserAmount17": true,
"UserAmount18": true
}
},
"nxAttributes": {
"customFields": {}
}
}getGlAccountTrackingPagedListSelectFields
Retrieves a paged list of tracking for a general ledger account with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/generalledger/getGlAccountTrackingPagedListSelectFieldsPOST /nexum/627/persistent/generalledger/getGlAccountTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllGlAccountTrackingFields": true,
"GlAccountTrackingFields": {
"CreationDate": true,
"CreationTime": true,
"ExpireDate": true,
"FmLastDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"TrackingCode": true,
"Type": true,
"UserAmount1": true,
"UserAmount10": true,
"UserAmount11": true,
"UserAmount12": true,
"UserAmount13": true,
"UserAmount14": true,
"UserAmount15": true,
"UserAmount16": true,
"UserAmount17": true,
"UserAmount18": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchGlAccountTrackingPagedSelectFields
Searches tracking for general ledger accounts with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/generalledger/searchGlAccountTrackingPagedSelectFieldsPOST /nexum/627/persistent/generalledger/searchGlAccountTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllGlAccountTrackingFields": true,
"GlAccountTrackingFields": {
"CreationDate": true,
"CreationTime": true,
"ExpireDate": true,
"FmLastDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"TrackingCode": true,
"Type": true,
"UserAmount1": true,
"UserAmount10": true,
"UserAmount11": true,
"UserAmount12": true,
"UserAmount13": true,
"UserAmount14": true,
"UserAmount15": true,
"UserAmount16": true,
"UserAmount17": true,
"UserAmount18": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getGlHistoryPagedListSelectFields
Retrieves a paged list of general ledger history with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/generalledger/getGlHistoryPagedListSelectFieldsPOST /nexum/627/persistent/generalledger/getGlHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllGlHistoryFields": true,
"GlHistoryFields": {
"Amount": true,
"Comment": true,
"DebitCreditCode": true,
"EffectiveDate": true,
"GlAccountNumber": true,
"GlCategory": true,
"PostDate": true,
"ProcessorUser": true,
"Reference": true,
"SequenceNumber": true,
"UserNumber": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchGlHistoryPagedSelectFields
Searches general ledger history with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/generalledger/searchGlHistoryPagedSelectFieldsPOST /nexum/627/persistent/generalledger/searchGlHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllGlHistoryFields": true,
"GlHistoryFields": {
"Amount": true,
"Comment": true,
"DebitCreditCode": true,
"EffectiveDate": true,
"GlAccountNumber": true,
"GlCategory": true,
"PostDate": true,
"ProcessorUser": true,
"Reference": true,
"SequenceNumber": true,
"UserNumber": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getGlSubaccountSelectFields
Retrieves a subaccount for a general ledger account with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalGlSubaccountIdstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/generalledger/getGlSubaccountSelectFieldsPOST /nexum/627/persistent/generalledger/getGlSubaccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"GlSubaccountId": "string",
"SelectableFields": {
"IncludeAllGlSubaccountFields": true,
"GlSubaccountFields": {
"AccrualAmount": true,
"AccrualEffectDate": true,
"AccrualPostDate": true,
"AccrualPostThruDate": true,
"AccrualStartDate": true,
"AccruedAmount": true,
"AccruedCount": true,
"AcquisitionDate": true,
"CommentOne": true,
"CommentTwo": true,
"CurrentValue": true,
"Disposition": true,
"FirstMonthMethod": true,
"GlOffset": true,
"Id": true,
"InsMaturityDate": true,
"InsTypeDescription": true,
"InsuranceType": true,
"LastFmDate": true,
"LimitValue": true
}
},
"nxAttributes": {
"customFields": {}
}
}getGlSubaccountPagedListSelectFields
Retrieves a paged list of subaccounts for a general ledger account with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/generalledger/getGlSubaccountPagedListSelectFieldsPOST /nexum/627/persistent/generalledger/getGlSubaccountPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"GlAccountNumber": "0000000000",
"GlAccountSuffix": "0",
"GlAccountBranch": "0",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllGlSubaccountFields": true
}
}searchGlSubaccountPagedSelectFields
Searches subaccounts for general ledger accounts with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/generalledger/searchGlSubaccountPagedSelectFieldsPOST /nexum/627/persistent/generalledger/searchGlSubaccountPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"GlAccountNumber": "0000000000",
"GlAccountSuffix": "0",
"GlAccountBranch": "0",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllGlSubaccountFields": true
},
"SearchFilter": {
"Query": "string"
}
}updateGlAccountByID
Updates a general ledger account by its ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/generalledger/updateGlAccountByIDPOST /nexum/627/persistent/generalledger/updateGlAccountByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "0000000000",
"GlAccountSuffix": "0",
"GlAccountBranch": "0",
"GlAccountFields": {
"Name": "string"
}
}updateGlAccountTrackingByID
Updates tracking for a general ledger account by its ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalGlAccountTrackingLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/generalledger/updateGlAccountTrackingByIDPOST /nexum/627/persistent/generalledger/updateGlAccountTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"GlAccountTrackingLocator": 0,
"GlAccountTrackingFields": {
"CreationDate": "string",
"CreationTime": 0,
"ExpireDate": "string",
"FmLastDate": "string",
"Id": "string",
"IdType": 0,
"Locator": 0,
"RecordChangeDate": "string",
"TrackingCode": 0,
"Type": 0,
"UserAmount1": 0,
"UserAmount10": 0,
"UserAmount11": 0,
"UserAmount12": 0,
"UserAmount13": 0,
"UserAmount14": 0,
"UserAmount15": 0,
"UserAmount16": 0,
"UserAmount17": 0,
"UserAmount18": 0
},
"nxAttributes": {
"customFields": {}
}
}updateGlSubaccountByID
Updates a subaccount for a general ledger account by its ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalGlSubaccountIdstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/generalledger/updateGlSubaccountByIDPOST /nexum/627/persistent/generalledger/updateGlSubaccountByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"GlSubaccountId": "string",
"GlSubaccountFields": {
"AccrualAmount": 0,
"AccrualEffectDate": "string",
"AccrualPostDate": "string",
"AccrualPostThruDate": "string",
"AccrualStartDate": "string",
"AccruedAmount": 0,
"AccruedCount": 0,
"AcquisitionDate": "string",
"CommentOne": "string",
"CommentTwo": "string",
"CurrentValue": 0,
"Disposition": 0,
"FirstMonthMethod": 0,
"GlOffset": "string",
"Id": "string",
"InsMaturityDate": "string",
"InsTypeDescription": "string",
"InsuranceType": "string",
"LastFmDate": "string",
"LimitValue": 0
},
"nxAttributes": {
"customFields": {}
}
}createGlAccount
Creates a general ledger account.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/generalledger/createGlAccountPOST /nexum/627/persistent/generalledger/createGlAccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountFields": {
"Number": "0",
"Suffix": "0",
"Branch": "0",
"Name": "string",
"Type": 0,
"OpenCode": 0
}
}createGlAccountTracking
Creates tracking for a general ledger account.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
GlAccountTrackingLocatorintegeroptionalLoading fields…
/nexum/{sym}/persistent/generalledger/createGlAccountTrackingPOST /nexum/627/persistent/generalledger/createGlAccountTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"GlAccountTrackingFields": {
"CreationDate": "string",
"CreationTime": 0,
"ExpireDate": "string",
"FmLastDate": "string",
"Id": "string",
"IdType": 0,
"Locator": 0,
"RecordChangeDate": "string",
"TrackingCode": 0,
"Type": 0,
"UserAmount1": 0,
"UserAmount10": 0,
"UserAmount11": 0,
"UserAmount12": 0,
"UserAmount13": 0,
"UserAmount14": 0,
"UserAmount15": 0,
"UserAmount16": 0,
"UserAmount17": 0,
"UserAmount18": 0
},
"nxAttributes": {
"customFields": {}
}
}createGlSubaccount
Creates a subaccount for a general ledger account.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
GlSubaccountIdstringoptionalLoading fields…
/nexum/{sym}/persistent/generalledger/createGlSubaccountPOST /nexum/627/persistent/generalledger/createGlSubaccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "0000000000",
"GlAccountSuffix": "0",
"GlAccountBranch": "0",
"GlSubaccountFields": {
"Id": "0",
"Name": "string",
"Type": 0,
"GlOffset": "0"
}
}deleteGlAccountTracking
Deletes tracking for a general ledger account.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalGlAccountTrackingLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/persistent/generalledger/deleteGlAccountTrackingPOST /nexum/627/persistent/generalledger/deleteGlAccountTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"GlAccountTrackingLocator": 0,
"nxAttributes": {
"customFields": {}
}
}deleteGlSubaccount
Deletes a subaccount for a general ledger account.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalGlSubaccountIdstringoptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/persistent/generalledger/deleteGlSubaccountPOST /nexum/627/persistent/generalledger/deleteGlSubaccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "0000000000",
"GlAccountSuffix": "0",
"GlAccountBranch": "0",
"GlSubaccountId": "0"
}